from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.awt import XWindowPeer

@runtime_checkable
class XVclWindowPeer(XWindowPeer, Protocol):
    def isChild(self, Peer: XWindowPeer) -> bool: ...
    def setDesignMode(self, bOn: bool) -> None: ...
    def isDesignMode(self) -> bool: ...
    def enableClipSiblings(self, bClip: bool) -> None: ...
    def setForeground(self, Color: Color) -> None: ...
    def setControlFont(self, aFont: FontDescriptor) -> None: ...
    def getStyles(self, nType: int, Font: FontDescriptor, ForegroundColor: Color, BackgroundColor: Color) -> None: ...
    def setProperty(self, PropertyName: str, Value: Any) -> None: ...
    def getProperty(self, PropertyName: str) -> Any: ...
